Skip to main content

Create a static-account payment intent

POST/api/merchant/payment-intents

Create a static-account payment intent

Request

Request body (required)

{
  "merchantReference": "INV-3021",
  "amount": 85000,
  "currency": "string",
  "expectedSenderBankName": "string",
  "expectedSenderAccountNumber": "string",
  "description": "string",
  "metadata": {}
}

Responses

201 Payment intent created

Example response

{
  "message": "payment intent created successfully",
  "response": {
    "paymentIntentId": "mpi_123e4567-e89b-12d3-a456-426614174000",
    "merchantReference": "INV-3021",
    "amount": 85000,
    "currency": "NGN",
    "status": "pending",
    "accountNumber": "0123456789",
    "accountName": "Importa Merchant",
    "bankName": "PALMPAY",
    "description": "Order payment",
    "metadata": {},
    "expectedSenderBankName": "PALMPAY",
    "expectedSenderAccountNumber": "8889227300",
    "paidAmount": 0,
    "expiresAt": "2026-08-25T12:00:00.000Z",
    "createdAt": "2026-08-24T12:00:00.000Z",
    "updatedAt": "2026-08-24T12:00:00.000Z"
  }
}

409 Request conflicts with the resource state